Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_WStringSeq_var Class Reference

`#include <StringSeqC.h>`

Collaboration diagram for CORBA_WStringSeq_var:

[legend]
List of all members.

## Public Methods
| CORBA_WStringSeq_var (void)
| CORBA_WStringSeq_var (CORBA_WStringSeq *)
| CORBA_WStringSeq_var (const CORBA_WStringSeq_var &)
| ~CORBA_WStringSeq_var (void)
CORBA_WStringSeq_var & | operator= (CORBA_WStringSeq *)
CORBA_WStringSeq_var & | operator= (const CORBA_WStringSeq_var &)
CORBA_WStringSeq * | operator-> (void)
const CORBA_WStringSeq * | operator-> (void) const
| operator const CORBA_WStringSeq & () const
| operator CORBA_WStringSeq & ()
| operator CORBA_WStringSeq & () const
| operator CORBA_WStringSeq *& ()
TAO_SeqElem_WString_Manager | operator[] (CORBA::ULong index)
const CORBA_WStringSeq & | in (void) const
CORBA_WStringSeq & | inout (void)
CORBA_WStringSeq *& | out (void)
CORBA_WStringSeq * | _retn (void)
CORBA_WStringSeq * | ptr (void) const
## Private Attributes
CORBA_WStringSeq * | ptr_

## Constructor & Destructor Documentation

CORBA_WStringSeq_var::CORBA_WStringSeq_var | ( | void |  | ) |

CORBA_WStringSeq_var::CORBA_WStringSeq_var | ( | CORBA_WStringSeq * |  | ) |

CORBA_WStringSeq_var::CORBA_WStringSeq_var | ( | const CORBA_WStringSeq_var & |  | ) |

CORBA_WStringSeq_var::~CORBA_WStringSeq_var | ( | void |  | ) |

## Member Function Documentation

CORBA_WStringSeq* CORBA_WStringSeq_var::_retn | ( | void |  | ) |

const CORBA_WStringSeq& CORBA_WStringSeq_var::in | ( | void |  | ) | const

CORBA_WStringSeq& CORBA_WStringSeq_var::inout | ( | void |  | ) |

CORBA_WStringSeq_var::operator const CORBA_WStringSeq & | ( |  | ) | const

CORBA_WStringSeq_var::operator CORBA_WStringSeq & | ( |  | ) | const

CORBA_WStringSeq_var::operator CORBA_WStringSeq & | ( |  | ) |

CORBA_WStringSeq_var::operator CORBA_WStringSeq *& | ( |  | ) |

const CORBA_WStringSeq* CORBA_WStringSeq_var::operator-> | ( | void |  | ) | const

CORBA_WStringSeq* CORBA_WStringSeq_var::operator-> | ( | void |  | ) |

CORBA_WStringSeq_var& CORBA_WStringSeq_var::operator= | ( | const CORBA_WStringSeq_var & |  | ) |

CORBA_WStringSeq_var& CORBA_WStringSeq_var::operator= | ( | CORBA_WStringSeq * |  | ) |

TAO_SeqElem_WString_Manager CORBA_WStringSeq_var::operator[] | ( | CORBA::ULong | index | ) |

CORBA_WStringSeq*& CORBA_WStringSeq_var::out | ( | void |  | ) |

CORBA_WStringSeq* CORBA_WStringSeq_var::ptr | ( | void |  | ) | const

## Member Data Documentation

CORBA_WStringSeq* CORBA_WStringSeq_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- StringSeqC.h